Format

## Classes

class | booster::locale::basic_format< CharType >
| a printf like class that allows type-safe and locale aware message formatting More...

## Typedefs

typedef basic_format< char > | booster::locale::format
typedef basic_format< wchar_t > | booster::locale::wformat

## Functions

template<typename CharType >
std::basic_ostream< CharType > & | booster::locale::operator<< (std::basic_ostream< CharType > &out, basic_format< CharType > const &fmt)

## Detailed Description

This module provides printf like functionality integrated into iostreams and suitable for localization

## Typedef Documentation

typedef basic_format<char> booster::locale::format

Definition of char based format

typedef basic_format<wchar_t> booster::locale::wformat

Definition of wchar_t based format

## Function Documentation

template<typename CharType >

std::basic_ostream<CharType>& booster::locale::operator<< | ( | std::basic_ostream< CharType > & | out,
|  | basic_format< CharType > const & | fmt
| ) |  |

Write formatted message to stream.

This operator actually causes actual text formatting. It uses the locale of out stream

References booster::locale::basic_format< CharType >::write().